Package Details: python-fancycompleter 0.9.0-1

Git Clone URL: https://aur.archlinux.org/python-fancycompleter.git (read-only, click to copy)
Package Base: python-fancycompleter
Description: Colorful TAB completion for Python prompt
Upstream URL: https://github.com/pdbpp/fancycompleter
Licenses: BSD
Submitter: blueyed
Maintainer: blueyed
Last Packager: blueyed
Votes: 3
Popularity: 0.028635
First Submitted: 2016-09-03 23:41
Last Updated: 2020-02-04 06:03

Latest Comments

blueyed commented on 2020-01-28 13:50

@sphakka The package needs to be rebuilt. I've pushed an update which triggers this, but in general with Python upgrades (e.g. 3.7 => 3.8) you should rebuild all packages that own files in /usr/lib/python3.7/site-packages.

sphakka commented on 2020-01-28 09:54

Not available for Python-3.8? Indeed, IPython is now broken:

$ pacman -Qs ipython local/ipython 7.11.1-1

$ ipython Traceback (most recent call last): File "/usr/bin/ipython", line 4, in <module> from IPython import start_ipython File "/usr/lib/python3.8/site-packages/IPython/init.py", line 55, in <module> from .core.application import Application File "/usr/lib/python3.8/site-packages/IPython/core/application.py", line 25, in <module> from IPython.core import release, crashhandler File "/usr/lib/python3.8/site-packages/IPython/core/crashhandler.py", line 27, in <module> from IPython.core import ultratb File "/usr/lib/python3.8/site-packages/IPython/core/ultratb.py", line 115, in <module> from IPython.core import debugger File "/usr/lib/python3.8/site-packages/IPython/core/debugger.py", line 47, in <module> from pdb import Pdb as OldPdb File "/usr/lib/python3.8/site-packages/_pdbpp_path_hack/pdb.py", line 5, in <module> exec(compile(f.read(), pdb_path, 'exec')) File "/usr/lib/python3.8/site-packages/pdb.py", line 23, in <module> from fancycompleter import Completer, ConfigurableClass, Color ModuleNotFoundError: No module named 'fancycompleter'

Additional info:

$ python -V Python 3.8.1

But:

pacman -Ql python-fancycompleter

python-fancycompleter /usr/ python-fancycompleter /usr/lib/ python-fancycompleter /usr/lib/python3.7/ python-fancycompleter /usr/lib/python3.7/site-packages/

However pip provides a good version :-)

$ pip search fancycompleter fancycompleter (0.8) - colorful TAB completion for Python prompt INSTALLED: 0.8 (latest)